Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #1446 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Form Validation is failing in 1.0.3 when run under python 2.3

Reported by: faide Owned by: anonymous
Priority: normal Milestone: 1.5
Component: TurboGears Version: 1.0.2
Severity: normal Keywords:
Cc:

Description

test_request_related_features.py", line 211

this may be the RepeatingFieldSet? or FormEncode ??

Change History

comment:1 Changed 12 years ago by chrisz

  • Status changed from new to closed
  • Resolution set to fixed

Turned out it had nothing to do with widgets or validation but was caused by an ambiguous URL query string syntax in the unit test. This syntax was treated differently by CherryPy? when run under Python 2.3. Corrected the URL to its unambiguous form in r3308, now it works.

comment:2 Changed 12 years ago by chrisz

See also CherryPy? ticket #708.

Note: See TracTickets for help on using tickets.